---
import {getCollection} from "astro:content";
import BaseLayout from "../../../layouts/BaseLayout.astro";
import FormattedDate from "../../../components/FormattedDate.astro";


const gruppen = (await getCollection('konzert_gruppe')).find(gruppe => {
  return gruppe.id === 'in_konzert';
});
const events = (await getCollection('konzert')).filter(event => {
  // Nur von der Gruppe "in_konzert"
  return event.data?.gruppe_ref.id === gruppen.id;
}).sort((a, b) => {
  // Sortiere nach Datum
  return new Date(b.data?.date) - new Date(a.data?.date);
})
---

<BaseLayout>

<main>
  <div class="bg-white py-24 sm:py-32">
    <div class="mx-auto max-w-7xl px-6 lg:px-8">
      <div class="mx-auto max-w-2xl text-center">
        <h2 class="text-3xl font-bold tracking-tight text-gray-900 sm:text-4xl">Alle "In Konzert"-Veranstaltungen</h2>
        <p class="mt-2 text-lg leading-8 text-gray-600">Wir haben viel vor! Kommt zu uns, und lauscht der tollen
          Musik</p>
      </div>
      {(events && events.length > 0) ? (<div
        class="mx-auto mt-16 grid max-w-2xl auto-rows-fr grid-cols-1 gap-8 sm:mt-20 lg:mx-0 lg:max-w-none lg:grid-cols-3">
        {
          events.map((event) => {
            return (
              <article
                class="relative isolate flex flex-col justify-end overflow-hidden rounded-2xl bg-gray-900 px-8 pb-8 pt-80 sm:pt-48 lg:pt-80">
                <img src={event.data?.heroImage} alt={event.data.title} class="absolute inset-0 -z-10 h-full w-full object-cover">
                <div class="absolute inset-0 -z-10 bg-gradient-to-t from-gray-900 via-gray-900/40"></div>
                <div class="absolute inset-0 -z-10 rounded-2xl ring-1 ring-inset ring-gray-900/10"></div>

                <div class="flex flex-wrap items-center gap-1 overflow-hidden text-sm leading-6 text-gray-300">
                  <FormattedDate date={event.data?.date} />
                  {event.data.abgesagt && (<span class="relative rounded-full bg-rose-600 px-2 py-1.5 font-medium text-white">Abgesagt</span>)}
                  {event.data.verschoben && (<span class="relative z-10 rounded-full bg-copper-400 px-3 py-1.5 font-medium text-white">Verschoben</span>)}
                </div>
                <h3 class="mt-3 text-lg font-semibold leading-6 text-white">
                  <a href={`/konzerte/${event.slug}`}>
                    <span class="absolute inset-0"></span>
                    {event.data.title}
                  </a>
                </h3>
              </article>
            )
          })
        }
      </div>) : (<div class="text-center my-32">
        <svg class="mx-auto h-12 w-12 text-gray-400" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
          <path vector-effect="non-scaling-stroke" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 13h6m-3-3v6m-9 1V7a2 2 0 012-2h6l2 2h6a2 2 0 012 2v8a2 2 0 01-2 2H5a2 2 0 01-2-2z" />
        </svg>
        <h3 class="mt-2 text-sm font-semibold text-gray-900">Keine Konzerte</h3>
        <p class="mt-1 text-sm text-gray-500">Es kommt mit Sicherheit bald was</p>
      </div>)
      }
    </div>
  </div>


  </main>

</BaseLayout>
